Skip to main content
`Ctrl`+`K`

# PetscLogSetThreshold

Set the threshold time for logging the events; this is a percentage out of 100, so 1. means any event that takes 1 or more percent of the time.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogSetThreshold(PetscLogDouble newThresh, PetscLogDouble *oldThresh)

Logically Collective on `PETSC_COMM_WORLD`

## Input Parameter

- newThresh - the threshold to use

## Output Parameter

- oldThresh - the previously set threshold value

## Options Database Keys

- -log_view :filename.xml:ascii_xml - Prints an XML summary of flop and timing information to the file

## Example Usage

      PetscInitialize(...);
      PetscLogNestedBegin();
      PetscLogSetThreshold(0.1,&oldthresh);
      // ... code ...
      PetscLogView(viewer);
      PetscFinalize();

## Note

This threshold is only used by the nested log handler

## See Also

`PetscLogDump()`, `PetscLogView()`, `PetscLogTraceBegin()`, `PetscLogDefaultBegin()`, `PetscLogNestedBegin()`

## Level

advanced

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages